Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityEnderPearl

    java.lang.Object
      net.minecraft.src.Entity
          net.minecraft.src.EntityThrowable
              net.minecraft.src.EntityEnderPearl

All Implemented Interfaces:
  IProjectile

    public class EntityEnderPearl

extends EntityThrowable

Field Summary

Fields inherited from class net.minecraft.src.EntityThrowable
`throwableShake`

Fields inherited from class net.minecraft.src.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityEnderPearl(World par1World)`
`EntityEnderPearl(World par1World, double par2, double par4, double par6)`
`EntityEnderPearl(World par1World, EntityLiving par2EntityLiving)`

Method Summary

Methods inherited from class net.minecraft.src.EntityThrowable
`func_85052_h, getShadowSize, isInRangeToRenderDist, onUpdate, readEntityFromNBT, setThrowableHeading, setVelocity, writeEntityToNBT`

Methods inherited from class net.minecraft.src.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, attackEntityFrom, canAttackWithItem, canBeCollidedWith, canBePushed, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_70079_am, func_82142_c, func_82143_as, func_82146_a, func_82148_at, func_82149_j, func_82150_aj, func_85029_a, func_85031_j, func_85032_ar, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getEyeHeight, getLastActiveItems, getLookVec, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, readFromNBT, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setHeadRotationYaw, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setSneaking, setSprinting, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityEnderPearl

    public EntityEnderPearl(World par1World)

### EntityEnderPearl

    public EntityEnderPearl(World par1World,
                            EntityLiving par2EntityLiving)

### EntityEnderPearl

    public EntityEnderPearl(World par1World,
                            double par2,
                            double par4,
                            double par6)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD